Get instance
GEThttps://app.shuttleglobal.com/c/api/instances/{instance_id}
Retrieve a specific instance by ID or instance_key
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The instance’s ID (cl_...), or the instance_key you gave it.
Query Parameters
Section titled “Query Parameters”Fields to expand into full objects. Available options: application, secret_key
Responses
Section titled “Responses”Successful operation
object
object
Shuttle’s ID for the instance (globally unique)
The name of the instance, typically company name
Your ID for the instance (unique to the application)
The status of the instance, typically ACTIVE or INACTIVE
The application the instance was created in
Domains where you embed the Shuttle checkout widget, used for Apple Pay and Google Pay domain registration.
The internal Shuttle ID for this instance
The contact email provided for the instance, used when providing support
The contact name provided for the instance, used when providing support
The contact phone provided for the instance, used when providing support
The country provided for the instance
The date the instance was created
The custom domain for this instance
A list of domains this instance is available under
Either SANDBOX or LIVE
Enterprise only features
The date of last contract creation
The date of last transaction creation
The merchant’s display name
A map of user defined key value pairs
object
The parent instance ID
Any private processors that have been made available to this instance
A list of connected processors
Template for generating transaction references. Contains #TRANSACTIONKEY# or #TRANSACTIONID#.
Enterprise only
Enterprise only
Custom retry schedule for errored payments (array of delays in milliseconds)
Custom retry schedule for declined payments (array of delays in milliseconds)
Per-instance API key for direct merchant authentication. Only returned when expand=secret_key is requested.
If the user manually accepted the T&Cs, the date they were accepted
The user_id of the user that accepted the terms and conditions
True if the user is required to accept the terms and conditions
The date the instance was terminated (status INACTIVE only)
The date the instance was last updated
The version of the record
The webhook target URL for this instance. Replaces the application-level webhook destination for this instance – events are not sent to both. Supports retry, failover, and fan-out configuration. See Webhook Destinations.
Unauthorized
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Example
{ "code": "UNAUTHORIZED", "message": "Unauthorised"}Instance not found
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Was this page helpful?
What went wrong?
Thanks for telling us.